# SimpleXMLIterator::key

(PHP 5, PHP 7)

SimpleXMLIterator::key — Return current key

### Description

public SimpleXMLIterator::key ( void ) : mixed

This method gets the XML tag name of the current element.

### Parameters

This function has no parameters.

### Return Values

Returns the XML tag name of the element referenced by the current SimpleXMLIterator object or `FALSE`

### Examples

Example #1 Get the current XML tag key

`<?php
$xmlIterator = new SimpleXMLIterator('<books><book>PHP basics</book><book>XML basics</book></books>');
echo var_dump($xmlIterator->key());
$xmlIterator->rewind(); // rewind to the first element
echo var_dump($xmlIterator->key());
?>`

The above example will output:

    bool(false)
    string(4) "book"